export const GoogleIcon = ({ style = {} }) => {
  return (
    <svg
      style={style}
      className="icon"
      width="29"
      height="30"
      viewBox="0 0 29 30"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M26.1682 12.6182H25.2127V12.569H14.5373V17.3136H21.2409C20.2629 20.0756 17.635 22.0583 14.5373 22.0583C10.607 22.0583 7.42041 18.8717 7.42041 14.9413C7.42041 11.011 10.607 7.8244 14.5373 7.8244C16.3516 7.8244 18.0021 8.50881 19.2588 9.62676L22.6139 6.27172C20.4954 4.29736 17.6617 3.07977 14.5373 3.07977C7.98679 3.07977 2.67578 8.39079 2.67578 14.9413C2.67578 21.4919 7.98679 26.8029 14.5373 26.8029C21.0879 26.8029 26.3989 21.4919 26.3989 14.9413C26.3989 14.146 26.3171 13.3697 26.1682 12.6182Z"
        fill="#FFC107"
      />
      <path
        d="M4.04297 9.42037L7.94008 12.2784C8.99458 9.66768 11.5484 7.8244 14.5369 7.8244C16.3511 7.8244 18.0017 8.50881 19.2584 9.62676L22.6134 6.27172C20.495 4.29736 17.6612 3.07977 14.5369 3.07977C9.98087 3.07977 6.02978 5.65195 4.04297 9.42037Z"
        fill="#FF3D00"
      />
      <path
        d="M14.5363 26.8029C17.6002 26.8029 20.3841 25.6304 22.4889 23.7237L18.8177 20.6171C17.5868 21.5532 16.0827 22.0595 14.5363 22.0583C11.4511 22.0583 8.8315 20.0911 7.84462 17.3457L3.97656 20.3259C5.93965 24.1673 9.92632 26.8029 14.5363 26.8029Z"
        fill="#4CAF50"
      />
      <path
        d="M26.166 12.6184H25.2106V12.5692H14.5352V17.3138H21.2387C20.7709 18.6283 19.9282 19.7769 18.8148 20.6178L18.8166 20.6166L22.4877 23.7232C22.228 23.9592 26.3967 20.8722 26.3967 14.9415C26.3967 14.1461 26.3149 13.3698 26.166 12.6184Z"
        fill="#1976D2"
      />
    </svg>
  )
}
